import { HTMLElement } from "node-html-parser";
export interface IElementHandler {
    process(type: string, element: HTMLElement): Promise<string | undefined>;
}
export declare class Content {
    #private;
    constructor(contentElement: HTMLElement);
    toHtml(handler?: IElementHandler): Promise<string>;
    get raw(): string;
}
