import { DateUIOption, IEnexElement } from "./types";
import { HTMLElement } from "node-html-parser";
declare enum ReminderStatus {
    ACTIVE = "active",
    MUTED = "muted"
}
export declare class Reminder implements IEnexElement {
    #private;
    constructor(reminderElement: HTMLElement);
    get created(): Date;
    get updated(): Date;
    get noteLevelID(): string;
    get reminderDate(): Date | null;
    get reminderDateUIOption(): DateUIOption | null;
    get dueDateOffset(): number | null;
    get reminderStatus(): ReminderStatus | null;
    validate(): void;
}
export {};
