"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _Reminder_reminderElement;
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reminder = void 0;
const utils_1 = require("./utils");
var ReminderStatus;
(function (ReminderStatus) {
    ReminderStatus["ACTIVE"] = "active";
    ReminderStatus["MUTED"] = "muted";
})(ReminderStatus || (ReminderStatus = {}));
class Reminder {
    constructor(reminderElement) {
        _Reminder_reminderElement.set(this, void 0);
        __classPrivateFieldSet(this, _Reminder_reminderElement, reminderElement, "f");
    }
    get created() {
        return (0, utils_1.getAsDateRequired)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "created");
    }
    get updated() {
        return (0, utils_1.getAsDateRequired)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "updated");
    }
    get noteLevelID() {
        return (0, utils_1.getAsStringRequired)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "noteLevelID");
    }
    get reminderDate() {
        return (0, utils_1.getAsDate)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "reminderDate");
    }
    get reminderDateUIOption() {
        return ((0, utils_1.getAsString)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "reminderDateUIOption"));
    }
    get dueDateOffset() {
        return (0, utils_1.getAsNumber)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "dueDateOffset");
    }
    get reminderStatus() {
        return ((0, utils_1.getAsString)(__classPrivateFieldGet(this, _Reminder_reminderElement, "f"), "reminderStatus"));
    }
    validate() {
        this.created && this.updated && this.noteLevelID;
    }
}
exports.Reminder = Reminder;
_Reminder_reminderElement = new WeakMap();
